<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
	<title>CarbonPHP Documentation</title>
	<style type="text/css">
		* {
			margin: 0;
			padding: 0;
		}

		html {
			font-family: "Lucida Sans Unicode", "Lucida Grande";
			font-size: 12px;
		}

		body {
			background: #fff;
			color: #666;
		}

		h1 {
			font-size: 15px;
			font-weight: bold;
			margin: 0 0 5px 0;
		}

		h2 {
			font-size: 13px;
			font-weight: bold;
			margin: 5px 0 5px 0;
		}

		ol, ul {
			margin: 10px 0 10px 0;
			list-style-position: inside;
		}

		p {
			margin: 5px 0 5px 0;
		}

		.content {
			border: 1px dotted #444;
			margin: 10px;
			padding: 10px;
			text-align: justify;
			width: 700px;
		}

		.example {
			border: 1px solid #ccc;
			background: #eee;
			margin: 10px;
			padding: 10px;
		}
	</style>
</head>

<body>
	<div class="content">
		<h1>Router Library</h1>

		<p>This library is a core library and you probably won't have any interaction with it, however the following
		methods are present in the class.</p>
	</div>

	<div class="content">
		<h1>Router Class Methods</h1>

		<h2>public function __construct()</h2>
		<p>This method initialises the class.</p>

		<h2>private function c_set_route_mapping()</h2>
		<p>This method maps out the route based on routing rules, and makes sure the correct controller and method
		are loaded and called.</p>

		<h2>private function c_compile_uri_segments($segments = array())</h2>
		<p>This method compiles the URI segments into an array.</p>

		<h2>private function c_validate_uri_segments($segments)</h2>
		<p>This method validates the URI segments making sure the controller and method exist.</p>

		<h2>private function c_reindex_segments()</h2>
		<p>This method reindexes the URI segment array so that index 1 is segment 1.</p>

		<h2>public function get_uri_string()</h2>
		<p>This method returns the URI string.</p>

		<h2>private function c_parse_request_uri()</h2>
		<p>This method parses the request URI into segments.</p>

		<h2>private function c_filter_uri_chars($uri_string)</h2>
		<p>This method filters the URI string for malicious characters.</p>

		<h2>private function c_parse_routes()</h2>
		<p>This method parses any routing rules and checks whether routes need remapping.</p>

		<h2>public function set_class_name($class_name)</h2>
		<p>This method sets the name of the class to be loaded.</p>

		<h2>public function get_class_name()</h2>
		<p>This method returns the name of the class.</p>

		<h2>public function set_method_name($method_name)</h2>
		<p>This method sets the name of the method to be called.</p>

		<h2>public function get_method_name()</h2>
		<p>This method returns the name of the method.</p>

		<h2>public function set_directory_name($directory_name)</h2>
		<p>This method sets the name of the directory.</p>

		<h2>public function get_directory_name()</h2>
		<p>This method returns the name of the directory.</p>

		<h2>public function segment($index)</h2>
		<p>This method returns the value of the segment at the index <b>$index</b>.</p>

		<h2>public function rsegment($index)</h2>
		<p>This method returns the value of the reindexed segment at the index <b>$index</b>.</p>

		<h2>public function get_uri_segment_array()</h2>
		<p>This method returns the URI segment array.</p>

		<h2>public function get_ruri_segment_array()</h2>
		<p>This method returns the reindexed URI segment array.</p>

		<h2>public function is_scaffolding_request()</h2>
		<p>This method returns whether the request is a scaffolding request.</p>
	</div>
</body>

</html>
